package com.rjconsultores.ventaboletos.web.utilerias.menu.item.relatorios;

import java.util.Map;

import org.zkoss.util.resource.Labels;

import com.rjconsultores.ventaboletos.web.utilerias.PantallaUtileria;
import com.rjconsultores.ventaboletos.web.utilerias.menu.DefaultItemMenuSistema;

public class ItemMenuRelatorioPassagensAGER extends DefaultItemMenuSistema {

	public ItemMenuRelatorioPassagensAGER() {
		super("indexController.mniRelatorioPassagensAGER.label");
	}

	@Override
	public String getClaveMenu() {
		return "COM.RJCONSULTORES.ADMINISTRACION.GUI.RELATORIOS.MENU.RELATORIOPASSAGENSAGER";
	}

	@SuppressWarnings("unchecked")
	@Override
	public void ejecutar() {
		Map map = super.getArgs();
		map.put("isAGER", Boolean.TRUE);
		
		PantallaUtileria.openWindow("/gui/relatorios/filtroRelatorioGratuidade.zul",
				Labels.getLabel("relatorioPassagensAGERController.window.title"), map , desktop);
	}

}
